Enabling DKE Endpoint
Use the post /v1/cckm/microsoft/dke/endpoints/{id}/enable API to allow the getkey and decrypt operations for a given Microsoft DKE endpoint.
Syntax
curl -k '<CCKM IP address>/api/v1/cckm/microsoft/dke/endpoints/{id}/enable' -X POST -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed
Here, {id} is the ID of the DKE endpoint.
Request Parameter
| Parameter | Type | Description |
|---|---|---|
| AUTHTOKEN | string | Authorization token. |
| id | string | ID of the DKE endpoint. |
Example Request
curl -k 'https://127.0.0.1/api/v1/cckm/microsoft/dke/endpoints/f222ffdf-80e1-4fd5-8f17-1b60a26dba5d/enable' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1ZTc3Y2Q3NC0wMmVhLTRhNzYtODIzMi1hNDY4YTg1MGQwM2UiLCJzdWIiOiJsb2NhbHw0ODMyZDM4ZS04YzdhLTRiMjYtYTc5Ni1kNjk3NWQyOTg2ZGIiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJjbGllbnRfdHlwZSI6InVucmVnaXN0ZXJlZCIsImRvbWFpbl9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCIsImdyb3VwcyI6WyJhZG1pbiJdLCJzaWQiOiIzMGJiZTYxNS1hNWQzLTQwNzAtYTNjYi01NDA0Y2YzMmE5OTYiLCJ6b25lX2lkIjoiMDAwMDAwMDAtMDAwMC0wMDAwLTAwMDAtMDAwMDAwMDAwMDAwIn0sImp3dGlkIjoiYzY3MmYxZmQtNmVmMy00ZTdhLWEzNGEtYTM0ZDBiMjk1YjMyIiwiaWF0IjoxNjkyOTI0NzQ5LCJleHAiOjE2OTI5MjUwNDl9.ftZvmw0zUt1gA0gKcSnpJ6f6tZ30oD_xlU8Ttjx6XL8' -H 'accept: application/json' --compressed
Example Response
{
"id": "f222ffdf-80e1-4fd5-8f17-1b60a26dba5d",
"uri": "kylo:kylo:cckm:kylo:kylo:cckm:dke-endpoint:f222ffdf-80e1-4fd5-8f17-1b60a26dba5d",
"account": "kylo:kylo:admin:accounts:kylo",
"createdAt": "2023-08-25T00:36:13.31051Z",
"updatedAt": "2023-08-25T00:53:42.317776Z",
"name": "my dke endpoint 7",
"description": "demo dke endpoint 7",
"key_uri_hostname": "dke.thales.com",
"key_uri": "https://dke.thales.com/api/v1/cckm/microsoft/dke-data-plane/endpoints/f222ffdf-80e1-4fd5-8f17-1b60a26dba5d/keys/ks-a7b4205513964e498f9f78ccb1a58a1a2518aae0a9a94b6c929a58402a231148",
"kek_name": "ks-a7b4205513964e498f9f78ccb1a58a1a2518aae0a9a94b6c929a58402a231148",
"kek_id": "a7b4205513964e498f9f78ccb1a58a1a2518aae0a9a94b6c929a58402a231148",
"kek_uuid": "d8212daf-89ea-4328-a509-921dbbb3629f",
"meta": {
"size": "big",
"color": "red"
},
"kek_version": "0",
"key_type": "asymmetric",
"algorithm": "RSA_DECRYPT_OAEP_2048_SHA256",
"enable_success_audit_event": true,
"authorization_params": {
"valid_issuers": [
"https://sts.windows.net/9c99431e-b513-44be-a7d9-e7b500002d4b/"
],
"authorization_type": "email",
"email_authz_params": {
"authorized_email_addresses": [
"richard-roe@example.com",
"gopa-desai@example.com"
]
},
"role_authz_params": {}
},
"auto_rotate": false,
"status": "Enabled"
}
The sample output shows that the parameter status is successfully set to Enabled, which means the getkey and decrypt operations are allowed for this DKE endpoint.
Response Codes
| Response Code | Description |
|---|---|
| 2xx | Success |
| 4xx | Client errors |
| 5xx | Server errors |
Refer to HTTP status codes for details.